Google Maps API
Google Mapsからビジネスおよび位置情報データを抽出します。engine=google_mapsを設定し、キーワード検索一覧にはtype=searchを、単一の場所の完全なプロフィールを取得するにはtype=placeを使用してください。
Endpoint
Section titled “Endpoint” GET https://serp.shifter.io/v1?engine=google_maps&api_key=YOUR_API_KEY
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー |
engine | string | yes | google_mapsである必要があります |
q | string | yes | 検索するキーワード |
type | string | yes | searchまたはplace |
data | string | no | type=placeの場合に必須。形式: !4m5!3m4!1s + data_id + !8m2!3d + latitude + !4d + longitude |
device | string | no | desktop、mobile、またはtablet |
google_domain | string | no | 使用するGoogleドメイン |
hl | string | no | インターフェース言語コード |
ll | string | no | GPS座標、形式は@latitude,longitude,zoom |
Example request
Section titled “Example request”curl "https://serp.shifter.io/v1?engine=google_maps&api_key=YOUR_API_KEY&q=pizza&type=search"import requests
params = { "engine": "google_maps", "api_key": "YOUR_API_KEY", "q": "pizza", "type": "search",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_maps', api_key: 'YOUR_API_KEY', q: 'pizza', type: 'search',});const data = await (await fetch(url)).json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "google_maps", "q": "pizza", "type": "search", "google_domain": "google.com" }, "places_results": [ { "position": 1, "title": "Joe's Pizza", "place_id": "ChIJ...", "data_id": "0x89c25994a1b6e4a3:0x...", "gps_coordinates": { "latitude": 40.730, "longitude": -73.998 }, "rating": 4.5, "reviews": 2431, "type": "Pizza restaurant", "address": "7 Carmine St, New York, NY 10014", "phone": "(212) 366-1182", "website": "https://www.joespizzanyc.com/" } ]}